| Home | Libraries | People | FAQ | More

## Function template replace_regex

boost::algorithm::replace_regex — Replace regex algorithm.

## Synopsis

    template<typename SequenceT, typename CharT, typename RegexTraitsT,
             typename FormatStringTraitsT, typename FormatStringAllocatorT>
      void replace_regex(SequenceT & Input,
                         const basic_regex< CharT, RegexTraitsT > & Rx,
                         const std::basic_string< CharT, FormatStringTraitsT, FormatStringAllocatorT > & Format,
                         match_flag_type Flags = match_default|format_default);

## Description

Search for a substring matching given regex and format it with the specified format. The input string is modified in-place.

Parameters: |
`Flags` | Regex options
`Format` | Regex format definition
`Input` | An input string
`Rx` | A regular expression